<template>
  <q-page class="bg-grey-3">
    <q-toolbar class="bg-blue-10 text-white shadow-2">
      <q-toolbar-title class="q-ml-sm">Báo cáo</q-toolbar-title>
    </q-toolbar>
    <q-card class="q-ma-md">
      <q-tabs v-model="reportTab" inline-label class="bg-primary text-white shadow-2">
        <q-tab name="orders" icon="shopping_cart" label="Đơn hàng" />
      </q-tabs>
      <q-tab-panels v-model="reportTab" animated class="report-tab-panel">
        <q-tab-panel name="orders">
          <report-order />
        </q-tab-panel>
      </q-tab-panels>
    </q-card>
  </q-page>
</template>

<script>
import ReportOrder from '~/components/reports/ReportOrder.vue';

export default {
  components: { ReportOrder },
  data() {
    return {
      reportTab: 'orders'
    };
  }
};
</script>

<style lang="scss" scoped>
.report-tab-panel {
  /deep/ .q-tab-panel {
    padding: 0 !important;
  }
}
</style>
